%define tar_name	logilab-pylint
%define bitbucket_ver 6a04e6b44ec8

Name:       pylint
Summary:    Extensible Python source code checker
Version:    1.5.5
Release:    %mkrel 1
Source0:    https://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
Patch0:     0001-Add-upstream-patch-for-epylint-981859.patch
License:    GPLv2+
Group:      Development/Python
Url:        http://www.pylint.org/
Requires:   python-logilab-common >= 0.62.0
Requires:   python-astroid >= 1.1
BuildArch:  noarch
BuildRequires:  python-setuptools
BuildRequires:  python3-setuptools

%description
PyLint is an extensible tool for checking whether Python
code satisfies a specified coding standard. It is similar to PyChecker
insofar that it can perform nearly all tests supported by
PyChecker. Pylint, however, can check many other things such as
line-code length, variable name adherence to a coding standard,
whether interfaces defined in the code are actually implemented, and much
more. One can easily extend PyLint with plugins.

%package -n %{name}-gui
Summary:    Graphical User Interface for Pylint
Requires:   tkinter
Requires:   pylint

%description -n %{name}-gui
This package provides a gui tool for pylint written in tkinter.

%package -n python3-%{name}
Summary:    Extensible Python source code checker
Requires:   python3-logilab-common >= 0.62.0
Requires:   python3-astroid >= 1.1

%description -n python3-%{name}
PyLint is an extensible tool for checking whether Python
code satisfies a specified coding standard. It is similar to PyChecker
insofar that it can perform nearly all tests supported by
PyChecker. Pylint, however, can check many other things such as
line-code length, variable name adherence to a coding standard,
whether interfaces defined in the code are actually implemented, and much
more. One can easily extend PyLint with plugins.

This is a version for Python 3.

%package -n python3-%{name}-gui
Summary:    Graphical User Interface for PylintExtensible Python source code checker
Requires:   tkinter3
Requires:   python3-pylint

%description -n python3-%{name}-gui
This package provides a gui tool for pylint written in tkinter.

This is a version for Python 3.

%prep
%setup -q

# py3k prep
rm -rf %{py3dir}
cp -a . %{py3dir}

%build
%{__python2} setup.py build

# py3k build
pushd %{py3dir}
%{__python3} setup.py build
popd

%check
# Cancelling because it consumes too much RAM.
true # %%{__python} setup.py test

# py3k check
pushd %{py3dir}
true # %%{__python3} setup.py test
popd

%install
# py3k install
pushd %{py3dir}
%{__python3} setup.py install -O1 --root %{buildroot}
rm -rf %{buildroot}%{python3_sitelib}/pylint/test
mkdir -pm 755 %{buildroot}%{_mandir}/man1
install -pm 644 man/*.1 %{buildroot}%{_mandir}/man1/
# Add python3- to the binaries
for FILE in %{buildroot}%{_bindir}/*; do
    NAME=$(basename $FILE)
    mv $FILE %{buildroot}%{_bindir}/python3-$NAME
done
# Add python3- to the manpages
for FILE in %{buildroot}%{_mandir}/man1/*; do
    NAME=$(basename $FILE)
    mv $FILE %{buildroot}%{_mandir}/man1/python3-$NAME
done
popd

# py2 install
%{__python2} setup.py install -O1 --root %{buildroot}
rm -rf %{buildroot}%{python2_sitelib}/pylint/test
mkdir -pm 755 %{buildroot}%{_mandir}/man1
install -pm 644 man/*.1 %{buildroot}%{_mandir}/man1/

#%%__lzma -z man/pylint.1
#%%__install -d -m 755 %%{buildroot}%%{_mandir}/man1
#%%__install -m 644 man/pylint.1.lzma %%{buildroot}%%{_mandir}/man1

%__install -d -m 755 %{buildroot}%{_sysconfdir}
%__install -m 644 ./examples/pylintrc %{buildroot}%{_sysconfdir}

%__install -d -m 755 %{buildroot}%{_sysconfdir}/emacs/site-start.d
%__install -m 644 ./elisp/pylint.el %{buildroot}%{_sysconfdir}/emacs/site-start.d/

%files
%doc README.rst COPYING ChangeLog doc/ examples/ elisp
%{_bindir}/*
%{python2_sitelib}/pylint*
%{_mandir}/man?/*
%exclude %{_bindir}/python3-*
%exclude %{_bindir}/pylint-gui
%exclude %{python2_sitelib}/pylint/gui.py*
%config(noreplace) %_sysconfdir/pylintrc
%config(noreplace) %_sysconfdir/emacs/site-start.d/pylint.el

%files -n %{name}-gui
%doc README.rst COPYING ChangeLog doc/ examples/
%{_bindir}/python3-pylint-gui
%{python2_sitelib}/pylint/gui.py*

%files -n python3-%{name}
%doc README.rst COPYING ChangeLog doc/ examples/ elisp
%{_bindir}/python3-*
%{python3_sitelib}/pylint*
%{_mandir}/man?/python3*
%exclude %{_bindir}/python3-pylint-gui
%exclude %{python3_sitelib}/pylint/gui.py*
%config(noreplace) %_sysconfdir/pylintrc
%config(noreplace) %_sysconfdir/emacs/site-start.d/pylint.el

%files -n python3-%{name}-gui
%doc COPYING
%{_bindir}/python3-pylint-gui
%{python3_sitelib}/pylint/gui.py*


%changelog
* Thu Apr 28 2016 shlomif <shlomif> 1.5.5-1.mga6
+ Revision: 1007191
- New version 1.5.5

* Mon Jan 25 2016 shlomif <shlomif> 1.5.4-1.mga6
+ Revision: 927434
- New version 1.5.4

* Mon Jan 04 2016 shlomif <shlomif> 1.5.2-1.mga6
+ Revision: 919503
- New version 1.5.2

* Thu Dec 17 2015 shlomif <shlomif> 1.5.1-1.mga6
+ Revision: 911431
- New version 1.5.1

* Thu Oct 08 2015 daviddavid <daviddavid> 1.4.4-2.mga6
+ Revision: 887362
- rebuild for python 3.5
- use python2 macros

* Wed Sep 02 2015 shlomif <shlomif> 1.4.4-1.mga6
+ Revision: 872327
- New version 1.4.4

* Mon Oct 20 2014 grenoya <grenoya> 1.3.1-1.mga5
+ Revision: 792202
- new version 1.3.1

* Wed Oct 15 2014 umeabot <umeabot> 1.3-11.mga5
+ Revision: 746352
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.3-10.mga5
+ Revision: 728005
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.3-9.mga5
+ Revision: 687860
- Mageia 5 Mass Rebuild

* Tue Aug 05 2014 grenoya <grenoya> 1.3-8.mga5
+ Revision: 660025
- new version 1.3

* Sat May 31 2014 pterjan <pterjan> 1.1.0-8.mga5
+ Revision: 629709
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 1.1.0-7.mga5
+ Revision: 628435
- Rebuild for new Python

* Tue Feb 18 2014 grenoya <grenoya> 1.1.0-6.mga5
+ Revision: 594515
- update to new version 1.1.0
- update urls (website and download)

* Tue Oct 22 2013 umeabot <umeabot> 1.0.0-4.mga4
+ Revision: 542909
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0.0-3.mga4
+ Revision: 498048
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Oct 02 2013 grenoya <grenoya> 1.0.0-2.mga4
+ Revision: 490571
- fix requires on python3 Tkinter

* Wed Oct 02 2013 grenoya <grenoya> 1.0.0-1.mga4
+ Revision: 490415
- new version 1.0.0
- split gui from main package
- add python3 packages

* Sun Jan 13 2013 umeabot <umeabot> 0.26.0-2.mga3
+ Revision: 378415
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 20 2012 grenoya <grenoya> 0.26.0-1.mga3
+ Revision: 319865
- new version 0.26.0

* Mon Aug 20 2012 grenoya <grenoya> 0.25.2-1.mga3
+ Revision: 282690
- new version 0.25.2

* Thu Feb 23 2012 kharec <kharec> 0.25.1-1.mga2
+ Revision: 212510
- fix source0
- new version 0.25.1

* Sat Oct 08 2011 grenoya <grenoya> 0.25.0-1.mga2
+ Revision: 152991
- update to new version 0.25.0

* Tue Sep 06 2011 grenoya <grenoya> 0.24.0-1.mga2
+ Revision: 139542
- clean spec
- imported package pylint

